Eclipse Platform Release 3.7

## org.eclipse.core.runtime.dynamichelpers
Interface IFilter

    public interface IFilter

A filter compares the given object to some pattern and returns `true` if the two match and `false` otherwise.

This interface may be implemented by clients, however factory methods are available on IExtensionTracker.

This interface can be used without OSGi running.

Since:
  3.1

Method Summary
`boolean` `matches(IExtensionPoint target)` Return `true` if the given object matches the criteria for this filter.

Method Detail

### matches

    boolean matches(IExtensionPoint target)

  Return `true` if the given object matches the criteria for this filter.

  Parameters:
    `target` - the object to match
  Returns:
    `true` if the target matches this filter and `false` otherwise

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.